// Zadatak03.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include<vector>
using namespace std;

int main()
{
    vector <int> poljeParnihBrojeva;
    int broj;

    //unos brojeva dok god korisnik ne unese broj veæi od 100
    do
    {
        cout << "unesite broj veci od 100: ";
        cin >> broj;
    } while (broj < 100);
   
    //upisati u polje parne brojeve iz rapsona [1-broja]
    for (int i = 1; i <= broj; i++)
    {
        if (i % 2 == 0)
            poljeParnihBrojeva.push_back(i);
    }

    //ispis parnih brojeva
    cout << endl << "Ispis parnih brojeva!" << endl;
    for (int i = 0; i < poljeParnihBrojeva.size(); i++)
    {
        if (i != poljeParnihBrojeva.size() - 1)
            cout << poljeParnihBrojeva[i] << ", ";
        else
            cout << poljeParnihBrojeva[i] << ".";
    }
}

// Run program: Ctrl + F5 or Debug > Start Without Debugging menu
// Debug program: F5 or Debug > Start Debugging menu

// Tips for Getting Started: 
//   1. Use the Solution Explorer window to add/manage files
//   2. Use the Team Explorer window to connect to source control
//   3. Use the Output window to see build output and other messages
//   4. Use the Error List window to view errors
//   5. Go to Project > Add New Item to create new code files, or Project > Add Existing Item to add existing code files to the project
//   6. In the future, to open this project again, go to File > Open > Project and select the .sln file
